# team58

Sports Matcher is an application that allows users to connect with other athletes, schedule sports meets, and rent sports equipment!

**Built Using**

It is built using the React framework and React Bootstrap library. It uses MongoDB for the database, Express for the server, and Axios for requests.

**Instructions**

To use Sports Matcher, please go to https://hidden-bayou-86321.herokuapp.com 

From here you can Sign In or Sign Up.

Signing in as 'admin' will take you to the admin page. You will be able to see a list of current matches, users and suspended users. You will need to click the appropriate button for the correct table to appear.

Every page has a navbar at the top. There is a chat and profile icon. Clicking on the chat icon will take you to the chat page. From the profile icon you can sign out.



**Functionality**

Our app has a fully functioning backend which supports the CRUD functionality for the following entites
1. We have a User entity which has the following attributes: Name, Email and Password, Sports and levels, Griends, Auth level, and suspended status
2. We have a Match which supports the following attributes: Players, Date, Sport and skill, and Location

We also support searching the database for the above entites.
1. Matches can be searched for. They can be sorted and filtered based on location, friends, skill level and date.
2. Users can also be searched for


